\documentclass[border=10pt]{standalone}

\usepackage{verbatim}
\usepackage[utf8]{inputenc}
\usepackage{eurosym}

\usepackage{tikz}
\usetikzlibrary{arrows.meta}
\usetikzlibrary{positioning}
\usetikzlibrary{calc}
\usetikzlibrary{shapes}

\tikzset{%
  >={Latex[width=2mm,length=2mm]},
  % Specifications for style of nodes:
            base/.style = {rectangle, draw=black,
                           text width = 2cm,
                           minimum height = 0.7cm,
                           text centered},
             var/.style = {base, fill=gray!30,},
         proceso/.style = {base, fill=white, ellipse},
  			cola/.style = {base, fill=white},
  	   invisible/.style = {base, fill=none, draw=none, text width = 0.2cm},
}

\begin{document}
% Drawing part, node distance is 1.5 cm and every node
% is prefilled with white background
\begin{tikzpicture}[node distance=0.0cm and 0.00cm,
    every node/.style={fill=white}, align = left]
	% Specification of nodes (position, etc.)
  
	\node (in)				[var]	{\texttt{out = 0}};
	\node (out)				[var, right=of in] {\texttt{in = 4}};
	
	\coordinate (middle1) at ($(in)!0.5!(out)$);
 
	\node (cola1)			[cola, right=4cm of in] {\texttt{fichero\_0}};
	\node (cola2)			[cola, below= of cola1] {\texttt{fichero\_1}};
	\node (cola3)			[cola, below= of cola2] {\texttt{fichero\_2}};
	\node (cola4)			[cola, below= of cola3] {\texttt{fichero\_3}};
	\node (cola5)			[cola, below= of cola4] {\texttt{doc\_A}};
	\node (cola6)			[cola, below= of cola5] {};
	\node (cola7)			[cola, below= of cola6] {};
	
	\node (numero1)			[invisible, left= of cola1] {\texttt{0}};
	\node (numero2)			[invisible, left= of cola2] {\texttt{1}};
	\node (numero3)			[invisible, left= of cola3] {\texttt{2}};
	\node (numero4)			[invisible, left= of cola4] {\texttt{3}};
	\node (numero5)			[invisible, left= of cola5] {\texttt{4}};
	\node (numero6)			[invisible, left= of cola6] {\texttt{5}};
	\node (numero7)			[invisible, left= of cola7] {\texttt{6}};
	
	\node (procesoA)		[proceso, left = of cola4, below=1.8cm of middle1] {proceso \textit{A}};
	\node (procesoB)		[proceso, below= 0.5cm of procesoA] {proceso \textit{B}};
	
	\draw[->] (procesoA.east)--(numero5.west);
	\draw[->] (procesoB.east)--(numero5.west);
	
  \end{tikzpicture}
\end{document}
